<?php
session_start(); // Initialize Session data
ob_start(); // Turn on output buffering
?>
<?php include "ewcfg7.php" ?>
<?php include "ewmysql7.php" ?>
<?php include "phpfn7.php" ?>
<?php include "tbl_hotelinfo.php" ?>
<?php include "tbl_countryinfo.php" ?>
<?php include "tbl_languageinfo.php" ?>
<?php include "tbl_hotel_originalinfo.php" ?>
<?php include "tbl_admininfo.php" ?>
<?php include "tbl_provinceinfo.php" ?>
<?php include "userfn7.php" ?>
<?php
header("Expires: Mon, 26 Jul 1997 05:00:00 GMT"); // Date in the past
header("Last-Modified: " . gmdate("D, d M Y H:i:s") . " GMT"); // Always modified
header("Cache-Control: private, no-store, no-cache, must-revalidate"); // HTTP/1.1 
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache"); // HTTP/1.0
?>
<?php

// Create page object
$tbl_hotel_delete = new ctbl_hotel_delete();
$Page =& $tbl_hotel_delete;

// Page init
$tbl_hotel_delete->Page_Init();

// Page main
$tbl_hotel_delete->Page_Main();
?>
<?php include "header.php" ?>
<script type="text/javascript">
<!--

// Create page object
var tbl_hotel_delete = new ew_Page("tbl_hotel_delete");

// page properties
tbl_hotel_delete.PageID = "delete"; // page ID
tbl_hotel_delete.FormID = "ftbl_hoteldelete"; // form ID
var EW_PAGE_ID = tbl_hotel_delete.PageID; // for backward compatibility

// extend page with Form_CustomValidate function
tbl_hotel_delete.Form_CustomValidate =  
 function(fobj) { // DO NOT CHANGE THIS LINE!

 	// Your custom validation code here, return false if invalid. 
 	return true;
 }
<?php if (EW_CLIENT_VALIDATE) { ?>
tbl_hotel_delete.ValidateRequired = true; // uses JavaScript validation
<?php } else { ?>
tbl_hotel_delete.ValidateRequired = false; // no JavaScript validation
<?php } ?>

//-->
</script>
<script language="JavaScript" type="text/javascript">
<!--

// Write your client script here, no need to add script tags.
// To include another .js script, use:
// ew_ClientScriptInclude("my_javascript.js"); 
//-->

</script>
<?php

// Load records for display
if ($rs = $tbl_hotel_delete->LoadRecordset())
	$tbl_hotel_deletelTotalRecs = $rs->RecordCount(); // Get record count
if ($tbl_hotel_deletelTotalRecs <= 0) { // No record found, exit
	if ($rs)
		$rs->Close();
	$tbl_hotel_delete->Page_Terminate("tbl_hotellist.php"); // Return to list
}
?>
<p><span class="phpmaker"><?php echo $Language->Phrase("Delete") ?>&nbsp;<?php echo $Language->Phrase("TblTypeTABLE") ?><?php echo $tbl_hotel->TableCaption() ?><br><br>
<a href="<?php echo $tbl_hotel->getReturnUrl() ?>"><?php echo $Language->Phrase("GoBack") ?></a></span></p>
<?php
if (EW_DEBUG_ENABLED)
	echo ew_DebugMsg();
$tbl_hotel_delete->ShowMessage();
?>
<form action="<?php echo ew_CurrentPage() ?>" method="post">
<p>
<input type="hidden" name="t" id="t" value="tbl_hotel">
<input type="hidden" name="a_delete" id="a_delete" value="D">
<?php foreach ($tbl_hotel_delete->arRecKeys as $key) { ?>
<input type="hidden" name="key_m[]" id="key_m[]" value="<?php echo ew_HtmlEncode($key) ?>">
<?php } ?>
<table class="ewGrid"><tr><td class="ewGridContent">
<div class="ewGridMiddlePanel">
<table cellspacing="0" class="ewTable ewTableSeparate">
<?php echo $tbl_hotel->TableCustomInnerHtml ?>
	<thead>
	<tr class="ewTableHeader">
		<td valign="top"><?php echo $tbl_hotel->language_id->FldCaption() ?></td>
		<td valign="top"><?php echo $tbl_hotel->country_id->FldCaption() ?></td>
		<td valign="top"><?php echo $tbl_hotel->province_id->FldCaption() ?></td>
		<td valign="top"><?php echo $tbl_hotel->category->FldCaption() ?></td>
		<td valign="top"><?php echo $tbl_hotel->photo->FldCaption() ?></td>
		<td valign="top"><?php echo $tbl_hotel->hotel_name->FldCaption() ?></td>
		<td valign="top"><?php echo $tbl_hotel->order_by->FldCaption() ?></td>
	</tr>
	</thead>
	<tbody>
<?php
$tbl_hotel_delete->lRecCnt = 0;
$i = 0;
while (!$rs->EOF) {
	$tbl_hotel_delete->lRecCnt++;

	// Set row properties
	$tbl_hotel->CssClass = "";
	$tbl_hotel->CssStyle = "";
	$tbl_hotel->RowAttrs = array();
	$tbl_hotel->RowType = EW_ROWTYPE_VIEW; // View

	// Get the field contents
	$tbl_hotel_delete->LoadRowValues($rs);

	// Render row
	$tbl_hotel_delete->RenderRow();
?>
	<tr<?php echo $tbl_hotel->RowAttributes() ?>>
		<td<?php echo $tbl_hotel->language_id->CellAttributes() ?>>
<div<?php echo $tbl_hotel->language_id->ViewAttributes() ?>><?php echo $tbl_hotel->language_id->ListViewValue() ?></div></td>
		<td<?php echo $tbl_hotel->country_id->CellAttributes() ?>>
<div<?php echo $tbl_hotel->country_id->ViewAttributes() ?>><?php echo $tbl_hotel->country_id->ListViewValue() ?></div></td>
		<td<?php echo $tbl_hotel->province_id->CellAttributes() ?>>
<div<?php echo $tbl_hotel->province_id->ViewAttributes() ?>><?php echo $tbl_hotel->province_id->ListViewValue() ?></div></td>
		<td<?php echo $tbl_hotel->category->CellAttributes() ?>>
<div<?php echo $tbl_hotel->category->ViewAttributes() ?>><?php echo $tbl_hotel->category->ListViewValue() ?></div></td>
		<td<?php echo $tbl_hotel->photo->CellAttributes() ?>>
<?php if ($tbl_hotel->photo->HrefValue <> "" || $tbl_hotel->photo->TooltipValue <> "") { ?>
<?php if (!empty($tbl_hotel->photo->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_hotel->photo->UploadPath) . $tbl_hotel->photo->Upload->DbValue ?>" border=0<?php echo $tbl_hotel->photo->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_hotel->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } else { ?>
<?php if (!empty($tbl_hotel->photo->Upload->DbValue)) { ?>
<img src="<?php echo ew_UploadPathEx(FALSE, $tbl_hotel->photo->UploadPath) . $tbl_hotel->photo->Upload->DbValue ?>" border=0<?php echo $tbl_hotel->photo->ViewAttributes() ?>>
<?php } elseif (!in_array($tbl_hotel->CurrentAction, array("I", "edit", "gridedit"))) { ?>	
&nbsp;
<?php } ?>
<?php } ?>
</td>
		<td<?php echo $tbl_hotel->hotel_name->CellAttributes() ?>>
<div<?php echo $tbl_hotel->hotel_name->ViewAttributes() ?>><?php echo $tbl_hotel->hotel_name->ListViewValue() ?></div></td>
		<td<?php echo $tbl_hotel->order_by->CellAttributes() ?>>
<div<?php echo $tbl_hotel->order_by->ViewAttributes() ?>><?php echo $tbl_hotel->order_by->ListViewValue() ?></div></td>
	</tr>
<?php
	$rs->MoveNext();
}
$rs->Close();
?>
</tbody>
</table>
</div>
</td></tr></table>
<p>
<input type="submit" name="Action" id="Action" value="<?php echo ew_BtnCaption($Language->Phrase("DeleteBtn")) ?>">
</form>
<script language="JavaScript" type="text/javascript">
<!--

// Write your table-specific startup script here
// document.write("page loaded");
//-->

</script>
<?php include "footer.php" ?>
<?php
$tbl_hotel_delete->Page_Terminate();
?>
<?php

//
// Page class
//
class ctbl_hotel_delete {

	// Page ID
	var $PageID = 'delete';

	// Table name
	var $TableName = 'tbl_hotel';

	// Page object name
	var $PageObjName = 'tbl_hotel_delete';

	// Page name
	function PageName() {
		return ew_CurrentPage();
	}

	// Page URL
	function PageUrl() {
		$PageUrl = ew_CurrentPage() . "?";
		global $tbl_hotel;
		if ($tbl_hotel->UseTokenInUrl) $PageUrl .= "t=" . $tbl_hotel->TableVar . "&"; // Add page token
		return $PageUrl;
	}

	// Page URLs
	var $AddUrl;
	var $EditUrl;
	var $CopyUrl;
	var $DeleteUrl;
	var $ViewUrl;
	var $ListUrl;

	// Export URLs
	var $ExportPrintUrl;
	var $ExportHtmlUrl;
	var $ExportExcelUrl;
	var $ExportWordUrl;
	var $ExportXmlUrl;
	var $ExportCsvUrl;

	// Update URLs
	var $InlineAddUrl;
	var $InlineCopyUrl;
	var $InlineEditUrl;
	var $GridAddUrl;
	var $GridEditUrl;
	var $MultiDeleteUrl;
	var $MultiUpdateUrl;

	// Message
	function getMessage() {
		return @$_SESSION[EW_SESSION_MESSAGE];
	}

	function setMessage($v) {
		if (@$_SESSION[EW_SESSION_MESSAGE] <> "") { // Append
			$_SESSION[EW_SESSION_MESSAGE] .= "<br>" . $v;
		} else {
			$_SESSION[EW_SESSION_MESSAGE] = $v;
		}
	}

	// Show message
	function ShowMessage() {
		$sMessage = $this->getMessage();
		$this->Message_Showing($sMessage);
		if ($sMessage <> "") { // Message in Session, display
			echo "<p><span class=\"ewMessage\">" . $sMessage . "</span></p>";
			$_SESSION[EW_SESSION_MESSAGE] = ""; // Clear message in Session
		}
	}

	// Validate page request
	function IsPageRequest() {
		global $objForm, $tbl_hotel;
		if ($tbl_hotel->UseTokenInUrl) {
			if ($objForm)
				return ($tbl_hotel->TableVar == $objForm->GetValue("t"));
			if (@$_GET["t"] <> "")
				return ($tbl_hotel->TableVar == $_GET["t"]);
		} else {
			return TRUE;
		}
	}

	//
	// Page class constructor
	//
	function ctbl_hotel_delete() {
		global $conn, $Language;

		// Language object
		$Language = new cLanguage();

		// Table object (tbl_hotel)
		$GLOBALS["tbl_hotel"] = new ctbl_hotel();

		// Table object (tbl_country)
		$GLOBALS['tbl_country'] = new ctbl_country();

		// Table object (tbl_language)
		$GLOBALS['tbl_language'] = new ctbl_language();

		// Table object (tbl_hotel_original)
		$GLOBALS['tbl_hotel_original'] = new ctbl_hotel_original();

		// Table object (tbl_admin)
		$GLOBALS['tbl_admin'] = new ctbl_admin();

		// Table object (tbl_province)
		$GLOBALS['tbl_province'] = new ctbl_province();

		// Page ID
		if (!defined("EW_PAGE_ID"))
			define("EW_PAGE_ID", 'delete', TRUE);

		// Table name (for backward compatibility)
		if (!defined("EW_TABLE_NAME"))
			define("EW_TABLE_NAME", 'tbl_hotel', TRUE);

		// Start timer
		$GLOBALS["gsTimer"] = new cTimer();

		// Open connection
		$conn = ew_Connect();
	}

	// 
	//  Page_Init
	//
	function Page_Init() {
		global $gsExport, $gsExportFile, $UserProfile, $Language, $Security, $objForm;
		global $tbl_hotel;

		// Security
		$Security = new cAdvancedSecurity();
		if (!$Security->IsLoggedIn()) $Security->AutoLogin();
		if (!$Security->IsLoggedIn()) {
			$Security->SaveLastUrl();
			$this->Page_Terminate("login.php");
		}

		// Global Page Loading event (in userfn*.php)
		Page_Loading();

		// Page Load event
		$this->Page_Load();
	}

	//
	// Page_Terminate
	//
	function Page_Terminate($url = "") {
		global $conn;

		// Page Unload event
		$this->Page_Unload();

		// Global Page Unloaded event (in userfn*.php)
		Page_Unloaded();

		 // Close connection
		$conn->Close();

		// Go to URL if specified
		$this->Page_Redirecting($url);
		if ($url <> "") {
			if (!EW_DEBUG_ENABLED && ob_get_length())
				ob_end_clean();
			header("Location: " . $url);
		}
		exit();
	}
	var $lTotalRecs = 0;
	var $lRecCnt;
	var $arRecKeys = array();

	//
	// Page main
	//
	function Page_Main() {
		global $Language, $tbl_hotel;

		// Load key parameters
		$sKey = "";
		$bSingleDelete = TRUE; // Initialize as single delete
		$nKeySelected = 0; // Initialize selected key count
		$sFilter = "";
		if (@$_GET["hotel_id"] <> "") {
			$tbl_hotel->hotel_id->setQueryStringValue($_GET["hotel_id"]);
			if (!is_numeric($tbl_hotel->hotel_id->QueryStringValue))
				$this->Page_Terminate("tbl_hotellist.php"); // Prevent SQL injection, exit
			$sKey .= $tbl_hotel->hotel_id->QueryStringValue;
		} else {
			$bSingleDelete = FALSE;
		}
		if ($bSingleDelete) {
			$nKeySelected = 1; // Set up key selected count
			$this->arRecKeys[0] = $sKey;
		} else {
			if (isset($_POST["key_m"])) { // Key in form
				$nKeySelected = count($_POST["key_m"]); // Set up key selected count
				$this->arRecKeys = ew_StripSlashes($_POST["key_m"]);
			}
		}
		if ($nKeySelected <= 0)
			$this->Page_Terminate("tbl_hotellist.php"); // No key specified, return to list

		// Build filter
		foreach ($this->arRecKeys as $sKey) {
			$sFilter .= "(";

			// Set up key field
			$sKeyFld = $sKey;
			if (!is_numeric($sKeyFld))
				$this->Page_Terminate("tbl_hotellist.php"); // Prevent SQL injection, return to list
			$sFilter .= "`hotel_id`=" . ew_AdjustSql($sKeyFld) . " AND ";
			if (substr($sFilter, -5) == " AND ") $sFilter = substr($sFilter, 0, strlen($sFilter)-5) . ") OR ";
		}
		if (substr($sFilter, -4) == " OR ") $sFilter = substr($sFilter, 0, strlen($sFilter)-4);

		// Set up filter (SQL WHHERE clause) and get return SQL
		// SQL constructor in tbl_hotel class, tbl_hotelinfo.php

		$tbl_hotel->CurrentFilter = $sFilter;

		// Get action
		if (@$_POST["a_delete"] <> "") {
			$tbl_hotel->CurrentAction = $_POST["a_delete"];
		} else {
			$tbl_hotel->CurrentAction = "D"; // Delete record directly
		}
		switch ($tbl_hotel->CurrentAction) {
			case "D": // Delete
				$tbl_hotel->SendEmail = TRUE; // Send email on delete success
				if ($this->DeleteRows()) { // delete rows
					$this->setMessage($Language->Phrase("DeleteSuccess")); // Set up success message
					$this->Page_Terminate($tbl_hotel->getReturnUrl()); // Return to caller
				}
		}
	}

	//
	// Delete records based on current filter
	//
	function DeleteRows() {
		global $conn, $Language, $Security, $tbl_hotel;
		$DeleteRows = TRUE;
		$sWrkFilter = $tbl_hotel->CurrentFilter;

		// Set up filter (SQL WHERE clause) and get return SQL
		// SQL constructor in tbl_hotel class, tbl_hotelinfo.php

		$tbl_hotel->CurrentFilter = $sWrkFilter;
		$sSql = $tbl_hotel->SQL();
		$conn->raiseErrorFn = 'ew_ErrorFn';
		$rs = $conn->Execute($sSql);
		$conn->raiseErrorFn = '';
		if ($rs === FALSE) {
			return FALSE;
		} elseif ($rs->EOF) {
			$this->setMessage($Language->Phrase("NoRecord")); // No record found
			$rs->Close();
			return FALSE;
		}
		$conn->BeginTrans();

		// Clone old rows
		$rsold = ($rs) ? $rs->GetRows() : array();
		if ($rs)
			$rs->Close();

		// Call row deleting event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$DeleteRows = $tbl_hotel->Row_Deleting($row);
				if (!$DeleteRows) break;
			}
		}
		if ($DeleteRows) {
			$sKey = "";
			foreach ($rsold as $row) {
				$sThisKey = "";
				if ($sThisKey <> "") $sThisKey .= EW_COMPOSITE_KEY_SEPARATOR;
				$sThisKey .= $row['hotel_id'];
				@unlink(ew_UploadPathEx(TRUE, $tbl_hotel->photo->UploadPath) . $row['photo']);
				$conn->raiseErrorFn = 'ew_ErrorFn';
				$DeleteRows = $conn->Execute($tbl_hotel->DeleteSQL($row)); // Delete
				$conn->raiseErrorFn = '';
				if ($DeleteRows === FALSE)
					break;
				if ($sKey <> "") $sKey .= ", ";
				$sKey .= $sThisKey;
			}
		} else {

			// Set up error message
			if ($tbl_hotel->CancelMessage <> "") {
				$this->setMessage($tbl_hotel->CancelMessage);
				$tbl_hotel->CancelMessage = "";
			} else {
				$this->setMessage($Language->Phrase("DeleteCancelled"));
			}
		}
		if ($DeleteRows) {
			$conn->CommitTrans(); // Commit the changes
		} else {
			$conn->RollbackTrans(); // Rollback changes
		}

		// Call Row Deleted event
		if ($DeleteRows) {
			foreach ($rsold as $row) {
				$tbl_hotel->Row_Deleted($row);
			}	
		}
		return $DeleteRows;
	}

	// Load recordset
	function LoadRecordset($offset = -1, $rowcnt = -1) {
		global $conn, $tbl_hotel;

		// Call Recordset Selecting event
		$tbl_hotel->Recordset_Selecting($tbl_hotel->CurrentFilter);

		// Load List page SQL
		$sSql = $tbl_hotel->SelectSQL();
		if ($offset > -1 && $rowcnt > -1)
			$sSql .= " LIMIT $offset, $rowcnt";

		// Load recordset
		$rs = ew_LoadRecordset($sSql);

		// Call Recordset Selected event
		$tbl_hotel->Recordset_Selected($rs);
		return $rs;
	}

	// Load row based on key values
	function LoadRow() {
		global $conn, $Security, $tbl_hotel;
		$sFilter = $tbl_hotel->KeyFilter();

		// Call Row Selecting event
		$tbl_hotel->Row_Selecting($sFilter);

		// Load SQL based on filter
		$tbl_hotel->CurrentFilter = $sFilter;
		$sSql = $tbl_hotel->SQL();
		$res = FALSE;
		$rs = ew_LoadRecordset($sSql);
		if ($rs && !$rs->EOF) {
			$res = TRUE;
			$this->LoadRowValues($rs); // Load row values

			// Call Row Selected event
			$tbl_hotel->Row_Selected($rs);
			$rs->Close();
		}
		return $res;
	}

	// Load row values from recordset
	function LoadRowValues(&$rs) {
		global $conn, $tbl_hotel;
		$tbl_hotel->hotel_id->setDbValue($rs->fields('hotel_id'));
		$tbl_hotel->hotel_or_id->setDbValue($rs->fields('hotel_or_id'));
		$tbl_hotel->language_id->setDbValue($rs->fields('language_id'));
		$tbl_hotel->country_id->setDbValue($rs->fields('country_id'));
		$tbl_hotel->province_id->setDbValue($rs->fields('province_id'));
		$tbl_hotel->category->setDbValue($rs->fields('category'));
		$tbl_hotel->photo->Upload->DbValue = $rs->fields('photo');
		$tbl_hotel->hotel_name->setDbValue($rs->fields('hotel_name'));
		$tbl_hotel->descriptioin->setDbValue($rs->fields('descriptioin'));
		$tbl_hotel->order_by->setDbValue($rs->fields('order_by'));
	}

	// Render row values based on field settings
	function RenderRow() {
		global $conn, $Security, $Language, $tbl_hotel;

		// Initialize URLs
		// Call Row_Rendering event

		$tbl_hotel->Row_Rendering();

		// Common render codes for all row types
		// language_id

		$tbl_hotel->language_id->CellCssStyle = ""; $tbl_hotel->language_id->CellCssClass = "";
		$tbl_hotel->language_id->CellAttrs = array(); $tbl_hotel->language_id->ViewAttrs = array(); $tbl_hotel->language_id->EditAttrs = array();

		// country_id
		$tbl_hotel->country_id->CellCssStyle = ""; $tbl_hotel->country_id->CellCssClass = "";
		$tbl_hotel->country_id->CellAttrs = array(); $tbl_hotel->country_id->ViewAttrs = array(); $tbl_hotel->country_id->EditAttrs = array();

		// province_id
		$tbl_hotel->province_id->CellCssStyle = ""; $tbl_hotel->province_id->CellCssClass = "";
		$tbl_hotel->province_id->CellAttrs = array(); $tbl_hotel->province_id->ViewAttrs = array(); $tbl_hotel->province_id->EditAttrs = array();

		// category
		$tbl_hotel->category->CellCssStyle = ""; $tbl_hotel->category->CellCssClass = "";
		$tbl_hotel->category->CellAttrs = array(); $tbl_hotel->category->ViewAttrs = array(); $tbl_hotel->category->EditAttrs = array();

		// photo
		$tbl_hotel->photo->CellCssStyle = ""; $tbl_hotel->photo->CellCssClass = "";
		$tbl_hotel->photo->CellAttrs = array(); $tbl_hotel->photo->ViewAttrs = array(); $tbl_hotel->photo->EditAttrs = array();

		// hotel_name
		$tbl_hotel->hotel_name->CellCssStyle = ""; $tbl_hotel->hotel_name->CellCssClass = "";
		$tbl_hotel->hotel_name->CellAttrs = array(); $tbl_hotel->hotel_name->ViewAttrs = array(); $tbl_hotel->hotel_name->EditAttrs = array();

		// order_by
		$tbl_hotel->order_by->CellCssStyle = ""; $tbl_hotel->order_by->CellCssClass = "";
		$tbl_hotel->order_by->CellAttrs = array(); $tbl_hotel->order_by->ViewAttrs = array(); $tbl_hotel->order_by->EditAttrs = array();
		if ($tbl_hotel->RowType == EW_ROWTYPE_VIEW) { // View row

			// hotel_id
			$tbl_hotel->hotel_id->ViewValue = $tbl_hotel->hotel_id->CurrentValue;
			$tbl_hotel->hotel_id->CssStyle = "";
			$tbl_hotel->hotel_id->CssClass = "";
			$tbl_hotel->hotel_id->ViewCustomAttributes = "";

			// hotel_or_id
			if (strval($tbl_hotel->hotel_or_id->CurrentValue) <> "") {
				$sFilterWrk = "`hote_or_id` = " . ew_AdjustSql($tbl_hotel->hotel_or_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `name` FROM `tbl_hotel_original`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_hotel->hotel_or_id->ViewValue = $rswrk->fields('name');
					$rswrk->Close();
				} else {
					$tbl_hotel->hotel_or_id->ViewValue = $tbl_hotel->hotel_or_id->CurrentValue;
				}
			} else {
				$tbl_hotel->hotel_or_id->ViewValue = NULL;
			}
			$tbl_hotel->hotel_or_id->CssStyle = "";
			$tbl_hotel->hotel_or_id->CssClass = "";
			$tbl_hotel->hotel_or_id->ViewCustomAttributes = "";

			// language_id
			if (strval($tbl_hotel->language_id->CurrentValue) <> "") {
				$sFilterWrk = "`language_id` = " . ew_AdjustSql($tbl_hotel->language_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `language` FROM `tbl_language`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_hotel->language_id->ViewValue = $rswrk->fields('language');
					$rswrk->Close();
				} else {
					$tbl_hotel->language_id->ViewValue = $tbl_hotel->language_id->CurrentValue;
				}
			} else {
				$tbl_hotel->language_id->ViewValue = NULL;
			}
			$tbl_hotel->language_id->CssStyle = "";
			$tbl_hotel->language_id->CssClass = "";
			$tbl_hotel->language_id->ViewCustomAttributes = "";

			// country_id
			if (strval($tbl_hotel->country_id->CurrentValue) <> "") {
				$sFilterWrk = "`country_id` = " . ew_AdjustSql($tbl_hotel->country_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `country_name` FROM `tbl_country`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_hotel->country_id->ViewValue = $rswrk->fields('country_name');
					$rswrk->Close();
				} else {
					$tbl_hotel->country_id->ViewValue = $tbl_hotel->country_id->CurrentValue;
				}
			} else {
				$tbl_hotel->country_id->ViewValue = NULL;
			}
			$tbl_hotel->country_id->CssStyle = "";
			$tbl_hotel->country_id->CssClass = "";
			$tbl_hotel->country_id->ViewCustomAttributes = "";

			// province_id
			if (strval($tbl_hotel->province_id->CurrentValue) <> "") {
				$sFilterWrk = "`province_id` = " . ew_AdjustSql($tbl_hotel->province_id->CurrentValue) . "";
			$sSqlWrk = "SELECT `province_name` FROM `tbl_province`";
			$sWhereWrk = "";
			if ($sFilterWrk <> "") {
				if ($sWhereWrk <> "") $sWhereWrk .= " AND ";
				$sWhereWrk .= "(" . $sFilterWrk . ")";
			}
			if ($sWhereWrk <> "") $sSqlWrk .= " WHERE " . $sWhereWrk;
				$rswrk = $conn->Execute($sSqlWrk);
				if ($rswrk && !$rswrk->EOF) { // Lookup values found
					$tbl_hotel->province_id->ViewValue = $rswrk->fields('province_name');
					$rswrk->Close();
				} else {
					$tbl_hotel->province_id->ViewValue = $tbl_hotel->province_id->CurrentValue;
				}
			} else {
				$tbl_hotel->province_id->ViewValue = NULL;
			}
			$tbl_hotel->province_id->CssStyle = "";
			$tbl_hotel->province_id->CssClass = "";
			$tbl_hotel->province_id->ViewCustomAttributes = "";

			// category
			if (strval($tbl_hotel->category->CurrentValue) <> "") {
				switch ($tbl_hotel->category->CurrentValue) {
					case "34":
						$tbl_hotel->category->ViewValue = "3 Starts Hotel";
						break;
					case "43":
						$tbl_hotel->category->ViewValue = "4 Starts Hotel";
						break;
					case "5":
						$tbl_hotel->category->ViewValue = "5 Starts Hotel";
						break;
					case "boutiqu":
						$tbl_hotel->category->ViewValue = "Boutique";
						break;
					case "eco":
						$tbl_hotel->category->ViewValue = "Eco-Lodge & Resort";
						break;
					default:
						$tbl_hotel->category->ViewValue = $tbl_hotel->category->CurrentValue;
				}
			} else {
				$tbl_hotel->category->ViewValue = NULL;
			}
			$tbl_hotel->category->CssStyle = "";
			$tbl_hotel->category->CssClass = "";
			$tbl_hotel->category->ViewCustomAttributes = "";

			// photo
			if (!ew_Empty($tbl_hotel->photo->Upload->DbValue)) {
				$tbl_hotel->photo->ViewValue = $tbl_hotel->photo->Upload->DbValue;
				$tbl_hotel->photo->ImageWidth = 180;
				$tbl_hotel->photo->ImageHeight = 0;
				$tbl_hotel->photo->ImageAlt = $tbl_hotel->photo->FldAlt();
			} else {
				$tbl_hotel->photo->ViewValue = "";
			}
			$tbl_hotel->photo->CssStyle = "";
			$tbl_hotel->photo->CssClass = "";
			$tbl_hotel->photo->ViewCustomAttributes = "";

			// hotel_name
			$tbl_hotel->hotel_name->ViewValue = $tbl_hotel->hotel_name->CurrentValue;
			$tbl_hotel->hotel_name->CssStyle = "";
			$tbl_hotel->hotel_name->CssClass = "";
			$tbl_hotel->hotel_name->ViewCustomAttributes = "";

			// order_by
			$tbl_hotel->order_by->ViewValue = $tbl_hotel->order_by->CurrentValue;
			$tbl_hotel->order_by->CssStyle = "";
			$tbl_hotel->order_by->CssClass = "";
			$tbl_hotel->order_by->ViewCustomAttributes = "";

			// language_id
			$tbl_hotel->language_id->HrefValue = "";
			$tbl_hotel->language_id->TooltipValue = "";

			// country_id
			$tbl_hotel->country_id->HrefValue = "";
			$tbl_hotel->country_id->TooltipValue = "";

			// province_id
			$tbl_hotel->province_id->HrefValue = "";
			$tbl_hotel->province_id->TooltipValue = "";

			// category
			$tbl_hotel->category->HrefValue = "";
			$tbl_hotel->category->TooltipValue = "";

			// photo
			$tbl_hotel->photo->HrefValue = "";
			$tbl_hotel->photo->TooltipValue = "";

			// hotel_name
			$tbl_hotel->hotel_name->HrefValue = "";
			$tbl_hotel->hotel_name->TooltipValue = "";

			// order_by
			$tbl_hotel->order_by->HrefValue = "";
			$tbl_hotel->order_by->TooltipValue = "";
		}

		// Call Row Rendered event
		if ($tbl_hotel->RowType <> EW_ROWTYPE_AGGREGATEINIT)
			$tbl_hotel->Row_Rendered();
	}

	// Page Load event
	function Page_Load() {

		//echo "Page Load";
	}

	// Page Unload event
	function Page_Unload() {

		//echo "Page Unload";
	}

	// Page Redirecting event
	function Page_Redirecting(&$url) {

		// Example:
		//$url = "your URL";

	}

	// Message Showing event
	function Message_Showing(&$msg) {

		// Example:
		//$msg = "your new message";

	}
}
?>
